Subject: bug#65362: closed (Re: bug#65362: [PATCH] 29.1; Description of `cl-flet' in cl.texi)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Aug 2023 08:52:01 +0000

Your bug report

#65362: [PATCH] 29.1; Description of `cl-flet' in cl.texi

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65362: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65362
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65362: [PATCH] 29.1; Description of `cl-flet' in cl.texi
From: Eli Zaretskii <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Aug 2023 11:51:48 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Arash Esbati <[email-masked]>
> Date: Fri, 18 Aug 2023 12:23:58 +0200
> 
> cl.texi doesn't mention the alternative form of bindings inside
> `cl-flet' whereas the docstring does it.  I suggest the change attached
> against the emacs-29 branch.

Thanks, I installed on the emacs-29 branch a slightly different
change, and I'm therefore closing this bug.

Subject: [PATCH] 29.1; Description of `cl-flet' in cl.texi
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Fri, 18 Aug 2023 12:23:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

cl.texi doesn't mention the alternative form of bindings inside
`cl-flet' whereas the docstring does it.  I suggest the change attached
against the emacs-29 branch.

Best, Arash
>From 263ffb829a4575033bd890eba53675d5cdc11059 Mon Sep 17 00:00:00 2001
From: Arash Esbati <[email-masked]>
Date: Fri, 18 Aug 2023 12:21:31 +0200
Subject: [PATCH] ; Improve the documentation of `cl-flet'

* doc/misc/cl.texi (Function Bindings): Mention the alternative
form of function binding within `cl-flet'.
---
 doc/misc/cl.texi | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/doc/misc/cl.texi b/doc/misc/cl.texi
index 0284554ed9e..e78b1792dca 100644
--- a/doc/misc/cl.texi
+++ b/doc/misc/cl.texi
@@ -1238,7 +1238,10 @@ Function Bindings
 
 @defmac cl-flet (bindings@dots{}) forms@dots{}
 This form establishes @code{let}-style bindings for functions rather
-than values.  Each @var{binding} must be a list of the form
+than values.  Each @var{binding} can take the form @samp{(@var{name}
+@var{exp})} where @var{name} is the function name and @var{exp} is an
+expression that returns the function value to which it should be
+bound.  Otherwise the @var{binding} takes the more common form
 @samp{(@var{name} @var{arglist} @var{body}@dots{})}.  Within
 @var{forms}, any reference to the function @var{name} uses the local
 definition instead of the global one.
-- 
2.41.0